RDKit: RDKit::MolCatalogParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolCatalogParams Class Reference

container for user parameters used to create a mol catalog More...

`#include <MolCatalogParams.h>`

Inheritance diagram for RDKit::MolCatalogParams:

## Public Member Functions
| MolCatalogParams ()
| ~MolCatalogParams () override
| MolCatalogParams (const MolCatalogParams &other)
| copy constructor
| MolCatalogParams (const std::string &pickle)
| construct from a pickle string (serialized representation)
void | toStream (std::ostream &) const override
| serializes to the stream
std::string | Serialize () const override
| returns a serialized (pickled) form
void | initFromStream (std::istream &ss) override
| initialize from a stream containing a pickle
void | initFromString (const std::string &text) override
| initialize from a string containing a pickle
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string

## Additional Inherited Members
Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string

## Detailed Description

container for user parameters used to create a mol catalog

Definition at line 14 of file MolCatalogParams.h.

## Constructor & Destructor Documentation

## ◆ MolCatalogParams() [1/3]

RDKit::MolCatalogParams::MolCatalogParams | ( |  | ) |
| inline

Definition at line 17 of file MolCatalogParams.h.

References RDCatalog::CatalogParams::d_typeStr.

Referenced by MolCatalogParams().

## ◆ ~MolCatalogParams()

RDKit::MolCatalogParams::~MolCatalogParams | ( |  | ) |
| override

## ◆ MolCatalogParams() [2/3]

RDKit::MolCatalogParams::MolCatalogParams | ( | const MolCatalogParams & | other | ) |
| inline

copy constructor

Definition at line 22 of file MolCatalogParams.h.

References RDCatalog::CatalogParams::d_typeStr, and MolCatalogParams().

## ◆ MolCatalogParams() [3/3]

RDKit::MolCatalogParams::MolCatalogParams | ( | const std::string & | pickle | ) |

construct from a pickle string (serialized representation)

## Member Function Documentation

## ◆ initFromStream()

void RDKit::MolCatalogParams::initFromStream | ( | std::istream & | ss | ) |
| overridevirtual

initialize from a stream containing a pickle

Implements RDCatalog::CatalogParams.

## ◆ initFromString()

void RDKit::MolCatalogParams::initFromString | ( | const std::string & | text | ) |
| overridevirtual

initialize from a string containing a pickle

Implements RDCatalog::CatalogParams.

## ◆ Serialize()

std::string RDKit::MolCatalogParams::Serialize | ( |  | ) | const
| overridevirtual

returns a serialized (pickled) form

Implements RDCatalog::CatalogParams.

## ◆ toStream()

void RDKit::MolCatalogParams::toStream | ( | std::ostream & |  | ) | const
| overridevirtual

serializes to the stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- MolCatalogParams.h